com.genesyslab.wfm7.API.service.config761

## Class CfgShiftBreak

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgShiftBreak

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftBreak
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmBreakId`
    `private int` | `wmIndex`
    `private int` | `wmShiftBreakId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftBreak()`
    `CfgShiftBreak(int wmShiftBreakId, int wmIndex, int wmBreakId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmBreakId()` Gets the wmBreakId value for this CfgShiftBreak.
    `int` | `getWmIndex()` Gets the wmIndex value for this CfgShiftBreak.
    `int` | `getWmShiftBreakId()` Gets the wmShiftBreakId value for this CfgShiftBreak.
    `int` | `hashCode()`
    `void` | `setWmBreakId(int wmBreakId)` Sets the wmBreakId value for this CfgShiftBreak.
    `void` | `setWmIndex(int wmIndex)` Sets the wmIndex value for this CfgShiftBreak.
    `void` | `setWmShiftBreakId(int wmShiftBreakId)` Sets the wmShiftBreakId value for this CfgShiftBreak.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmShiftBreakId

          private int wmShiftBreakId

    - #### wmIndex

          private int wmIndex

    - #### wmBreakId

          private int wmBreakId

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgShiftBreak

          public CfgShiftBreak()

    - #### CfgShiftBreak

          public CfgShiftBreak(int wmShiftBreakId,
                       int wmIndex,
                       int wmBreakId)

  - ### Method Detail

    - #### getWmShiftBreakId

          public int getWmShiftBreakId()

      Gets the wmShiftBreakId value for this CfgShiftBreak.
      Returns:
        wmShiftBreakId

    - #### setWmShiftBreakId

          public void setWmShiftBreakId(int wmShiftBreakId)

      Sets the wmShiftBreakId value for this CfgShiftBreak.
      Parameters:
        `wmShiftBreakId` -

    - #### getWmIndex

          public int getWmIndex()

      Gets the wmIndex value for this CfgShiftBreak.
      Returns:
        wmIndex

    - #### setWmIndex

          public void setWmIndex(int wmIndex)

      Sets the wmIndex value for this CfgShiftBreak.
      Parameters:
        `wmIndex` -

    - #### getWmBreakId

          public int getWmBreakId()

      Gets the wmBreakId value for this CfgShiftBreak.
      Returns:
        wmBreakId

    - #### setWmBreakId

          public void setWmBreakId(int wmBreakId)

      Sets the wmBreakId value for this CfgShiftBreak.
      Parameters:
        `wmBreakId` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.